Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.world.storage
Class MapStorage

    java.lang.Object
      net.minecraft.world.storage.MapStorage

    public class MapStorage

extends Object

Constructor Summary
`MapStorage(ISaveHandler par1ISaveHandler)`

Method Summary
`int` | `getUniqueDataId(String par1Str)` Returns an unique new data id for the given prefix and saves the idCounts map to the 'idcounts' file.
`WorldSavedData` | `loadData(Class par1Class, String par2Str)` Loads an existing MapDataBase corresponding to the given String id from disk, instantiating the given Class, or returns null if none such file exists.
`void` | `saveAllData()` Saves all dirty loaded MapDataBases to disk.
`void` | `setData(String par1Str, WorldSavedData par2WorldSavedData)` Assigns the given String id to the given MapDataBase, removing any existing ones of the same id.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapStorage

    public MapStorage(ISaveHandler par1ISaveHandler)

Method Detail

### loadData

    public WorldSavedData loadData(Class par1Class,
                                   String par2Str)

  Loads an existing MapDataBase corresponding to the given String id from disk, instantiating the given Class, or returns null if none such file exists. args: Class to instantiate, String dataid

### setData

    public void setData(String par1Str,
                        WorldSavedData par2WorldSavedData)

  Assigns the given String id to the given MapDataBase, removing any existing ones of the same id.

### saveAllData

    public void saveAllData()

  Saves all dirty loaded MapDataBases to disk.

### getUniqueDataId

    public int getUniqueDataId(String par1Str)

  Returns an unique new data id for the given prefix and saves the idCounts map to the 'idcounts' file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD